Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1660446 - node scaleup failss on openshift_master_facts [NEEDINFO]
Summary: node scaleup failss on openshift_master_facts
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.3.1
Assignee: Russell Teague
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 10:48 UTC by Jaspreet Kaur
Modified: 2019-02-11 21:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-11 21:37:23 UTC
Target Upstream Version:
rteague: needinfo? (jkaur)


Attachments (Terms of Use)

Description Jaspreet Kaur 2018-12-18 10:48:51 UTC
Description of problem: node scale failes on openshift_master_facts everytime with below error :

the field 'args' has an invalid value, which appears to include a variable that is undefined. The error was: {{ openshift_hosted_metrics_public_url | default('hawkular-metrics.' ~ (openshift.master.default_subdomain | default(openshift_master_default_subdomain ))) | oo_hostname_from_url }}: 'dict object' has no attribute 'master'

The error appears to have been in '/usr/share/ansible/openshift-ansible/roles/openshift_master_facts/tasks/main.yml': line 31, column 3, but may
be elsewhere in the file depending on the exact syntax problem.

The offending line appears to be:


- name: Set master facts
  ^ here

Version-Release number of the following components:

# rpm -qa | grep openshift-ansible
openshift-ansible-3.3.54-1.git.0.61a1dee.el7.noarch
openshift-ansible-roles-3.3.54-1.git.0.61a1dee.el7.noarch
openshift-ansible-docs-3.3.54-1.git.0.61a1dee.el7.noarch
openshift-ansible-filter-plugins-3.3.54-1.git.0.61a1dee.el7.noarch
openshift-ansible-callback-plugins-3.3.54-1.git.0.61a1dee.el7.noarch
openshift-ansible-playbooks-3.3.54-1.git.0.61a1dee.el7.noarch
openshift-ansible-lookup-plugins-3.3.54-1.git.0.61a1dee.el7.noarch

ansible --version
ansible 2.2.0.0
  config file = /etc/ansible/ansible.cfg
  configured module search path = Default w/o overrides

How reproducible:

Steps to Reproduce:
1.
2.
3.

Actual results: Fails on collecting master facts

Expected results: should suceed

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 4 Scott Dodson 2019-01-03 15:37:28 UTC
A workaround would be to set openshift_hosted_metrics_public_url variable in the inventory to the url where metrics is configured. ie: 

openshift_hosted_metrics_public_url: https://hawkular-metrics.osc1.cp1.cathaypacific.com/hawkular/metrics

Also, while I don't think that this would address the problem, they are using a version of openshift-ansible that's more than two years of out date. There have been over 300 commits to the branch since openshift-ansible-3.3.54-1.

Comment 8 Russell Teague 2019-01-24 21:50:45 UTC
Performed a successful install and scaleup with openshift-ansible-3.3.54-1 without metrics enabled.  Will test again with metrics enabled.


Note You need to log in before you can comment on or make changes to this bug.